package cn.common.annotation;

import java.lang.annotation.*;

import cn.common.enums.BizOpType;
/**
 * 自定义操作日志记录注解
 * 
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log
{
    /**
     * 模块
     */
    public String title() default "";

    /**
     * 功能
     */
    public BizOpType businessType() default BizOpType.OTHER;

    /**
     * 操作人类别
     */
    public BizOpType operatorType() default BizOpType.MANAGE;

    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;
    

}
